/* Sweep
 by BARRAGAN <http://barraganstudio.com>
 This example code is in the public domain.

 modified 8 Nov 2013
 by Scott Fitzgerald
 http://www.arduino.cc/en/Tutorial/Sweep
*/

#include <Servo.h>

const int trigPin = 8;
const int echoPin = 7;
const int servoPin = 9;

long duration;
float distance;

Servo myservo;  // create servo object to control a servo
// twelve servo objects can be created on most boards

int pos = 0;    // variable to store the servo position

void setup() {
  Serial.begin(9600); //begin serial communication
  myservo.attach(servoPin);  // attaches the servo on pin 9 to the servo object
  pinMode(trigPin, OUTPUT); //declare the trig pin as an output
  pinMode(echoPin, INPUT);  //declare the echo pin as an input
  Serial.print("Hello");
  
}

void loop() {
   // Clears the trigPin
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);

  // Sets the trigPin on HIGH state for 10 micro seconds
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);

  // Reads the echoPin, returns the sound wave travel time in microseconds
  duration = pulseIn(echoPin, HIGH);
  // Calculating the distance (in cm) using the speed of sound
  distance= duration*0.034/2;
 Serial.println(distance);
  if (distance <15){
    Serial.println("Alert");
    myservo.write(60);
    delay(300);
    myservo.write(0);
    
    delay(4000);
  }
  delay(100);
  
  
}
